Skip to main content
GET
/
api
/
public
/
v1
/
quotes
cURL
curl --request GET \
  --url https://api.boxpilote.fr/api/public/v1/quotes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "quote_number": "<string>",
      "total_amount": 123,
      "status": "<string>",
      "customer": {
        "name": "<string>",
        "phone": "<string>",
        "email": "<string>"
      }
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
limit
integer
default:20

Items per page (default: 20, max: 100)

Required range: 1 <= x <= 100
created_at_from
string<date-time>

Filter quotes created on or after this date (ISO 8601)

created_at_to
string<date-time>

Filter quotes created on or before this date (ISO 8601)

status
enum<string>

Filter quotes by status

Available options:
En attente,
Expire,
Refusé,
Accepté

Response

List of quotes with pagination

data
object[]
pagination
object